| Flutter iOS Embedder |

Classes | Namespaces | Functions | Variables
FlutterPlatformPlugin.mm File Reference
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterPlatformPlugin.h"`
`#import <AudioToolbox/AudioToolbox.h>`
`#import <Foundation/Foundation.h>`
`#import <UIKit/UIApplication.h>`
`#import <UIKit/UIKit.h>`
`#include "flutter/fml/logging.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewController_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/UIViewController+FlutterScreenAndSceneIfLoaded.h"`

Go to the source code of this file.

## Namespaces
| flutter

## Functions
static void | SetStatusBarHiddenForSharedApplication (BOOL hidden)
static void | SetStatusBarStyleForSharedApplication (UIStatusBarStyle style)

## Variables
UITextField * | _textField

## Function Documentation

## ◆ SetStatusBarHiddenForSharedApplication()

static void SetStatusBarHiddenForSharedApplication | ( | BOOL | hidden | ) |
| static

Definition at line 45 of file FlutterPlatformPlugin.mm.

45 {
46 #if not APPLICATION_EXTENSION_API_ONLY
47 [UIApplication sharedApplication].statusBarHidden = hidden;
48 #else
49 FML_LOG(WARNING) << "Application based status bar styling is not available in app extension.";
50 #endif
51 }

## ◆ SetStatusBarStyleForSharedApplication()

static void SetStatusBarStyleForSharedApplication | ( | UIStatusBarStyle | style | ) |
| static

Definition at line 53 of file FlutterPlatformPlugin.mm.

53 {
54 #if not APPLICATION_EXTENSION_API_ONLY
55 // Note: -[UIApplication setStatusBarStyle] is deprecated in iOS9
56 // in favor of delegating to the view controller.
57 [[UIApplication sharedApplication] setStatusBarStyle:style];
58 #else
59 FML_LOG(WARNING) << "Application based status bar styling is not available in app extension.";
60 #endif
61 }

## Variable Documentation

## ◆ _textField

UITextField* _textField

Initial value:
{
fml::WeakNSObject<FlutterEngine> _engine

Definition at line 76 of file FlutterPlatformPlugin.mm.

_engine
fml::scoped_nsobject< FlutterEngine > _engine
Definition: FlutterViewController.mm:120